package com.xindazhou.vehicle.service.theft;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleTheftPageReqVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleTheftRespVO;

/**
 * 失窃监控 Service 接口
 *
 * @author xindazhou
 */
public interface VehicleTheftService {

    PageResult<VehicleTheftRespVO> getVehicleTheftPage(VehicleTheftPageReqVO pageReqVO);

    VehicleTheftRespVO getVehicleTheft(Long id);

    void markVehicleNormal(Long id);

}
